# Conditional build:
%bcond_without	image 	# build without image support

Summary:	Text based browser for the world wide web
Summary(de.UTF-8):	Text-Browser für das WWW
Summary(es.UTF-8):	w3m es un paginador, pero puede usarse también como un navegador WWW
Summary(fr.UTF-8):	Navigateur en mode texte pour le world wide web
Summary(pl.UTF-8):	Przeglądarka WWW pracująca w trybie tekstowym
Summary(pt_BR.UTF-8):	O w3m é um paginador, mas pode ser usado também como um navegador WWW
Summary(tr.UTF-8):	Metin ekranda WWW tarayıcı
Name:		w3m
Version:	0.5.3
Release:	8
Epoch:		1
License:	MIT-like
Group:		Applications/Networking
Source0:	http://downloads.sourceforge.net/w3m/%{name}-%{version}.tar.gz
# Source0-md5:	1b845a983a50b8dec0169ac48479eacc
Patch0:		%{name}-gzip_fallback.patch
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-0.5.3-parallel-make.patch
Patch3:		%{name}-0.5.2-fix_gcc_error.patch
Patch4:		%{name}-gc.patch
Patch5:		format-security.patch
Patch6:		ac-gettext.patch
Patch7:		openssl.patch
URL:		http://w3m.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gc-devel
BuildRequires:	gettext-tools
BuildRequires:	gpm-devel
%if %{with image}
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	imlib2-devel
%endif
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de.UTF-8
Dies ist ein WWW-Browser auf Terminal-Basis. Während kein Versuch
unternommen wird, Grafiken darzustellen, so bietet er doch guten
Support für HTML-Textformatierung, Formulare und Tabellen.

%description -l es.UTF-8
w3m es un paginador similar a las órdenes more y less. Este paquete
también puede utilizarse como un visualizador de páginas WWW en modo
texto.

%description -l fr.UTF-8
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien gérer le formatage HTML du texte, les formulaires et les
tableaux.

%description -l pl.UTF-8
Przeglądarka WWW działającą w trybie tekstowym. Dobrze formatuje tekst
w HTML, ale nie pozwala na wyświetlanie grafiki.

%description -l pt_BR.UTF-8
O w3m é um paginador similar aos comandos more e less. Este pacote
pode ser ainda utilizado como um visualizador de páginas WWW em modo
texto.

%description -l tr.UTF-8
Metin ekranda çalışan bir WWW tarayıcıdır. Şekil gösteremese de,
formlar ve tablolar için desteği vardır.

%package imgdisplay
Summary:	Image display support for w3m
Summary(pl.UTF-8):	Wyświetlanie obrazków dla w3m
Group:		Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description imgdisplay
Install this package if you want to display images in w3m run on xterm
or Linux framebuffer.

%description imgdisplay -l pl.UTF-8
Ten pakiet pozwala przeglądarce w3m wyświetlać obrazki w xtermie lub
na linuksowym framebufferze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%{__sed} '/^AC_PROG_CXX$/d' -i configure.ac

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%configure \
	mkdir_p="mkdir -p" \
	--enable-gopher \
%if %{with image}
	--enable-image="x11,fb,fb+s" \
	--with-imagelib="gdk-pixbuf" \
%else
	--disable-image \
%endif
	--enable-keymap=lynx \
	--with-editor=/bin/vi \
	--with-mailer=/bin/mail \
	--with-browser=%{_bindir}/mozilla \
	--with-termlib=ncurses

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install install-helpfile \
	DESTDIR=$RPM_BUILD_ROOT

# symlink instead of duplicated file
ln -sf w3mhelp-lynx_en.html $RPM_BUILD_ROOT%{_datadir}/w3m/w3mhelp.html

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/*.html doc/{README,keymap,menu}.* NEWS
%attr(755,root,root) %{_bindir}/w3m
%attr(755,root,root) %{_bindir}/w3mman
%dir %{_libexecdir}/w3m
%attr(755,root,root) %{_libexecdir}/w3m/inflate
%attr(755,root,root) %{_libexecdir}/w3m/xface2xpm
%dir %{_libexecdir}/w3m/cgi-bin
%attr(755,root,root) %{_libexecdir}/w3m/cgi-bin/*.cgi
%attr(755,root,root) %{_libexecdir}/w3m/cgi-bin/w3mbookmark
%attr(755,root,root) %{_libexecdir}/w3m/cgi-bin/w3mhelperpanel
%dir %{_datadir}/w3m
%{_datadir}/w3m/w3mhelp.html
%{_datadir}/w3m/w3mhelp*en.*
%lang(ja) %{_datadir}/w3m/w3mhelp*ja.*
%{_datadir}/w3m/w3mhelp-funcname.pl
%{_mandir}/man1/w3m.1*
%{_mandir}/man1/w3mman.1*
%lang(ja) %{_mandir}/ja/man1/w3m.1*

%if %{with image}
%files imgdisplay
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/w3m/w3mimgdisplay
%endif
%changelog
* Thu Jan 17 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/w3m.git;a=log;h=master

* Tue Oct 23 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> c167b1b
- allow building with no image support

* Fri Sep 21 2018 Jan Rękorajski <baggins@pld-linux.org> 0f5b2e0
- egd is gone in openssl 1.1.0
- fixed files
- rel 8

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e59f4bc
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> fc6a281
- x32 rebuild
- release 6 (by relup.sh)

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> 54e00e3
- fix missing mkdir_p in po/Makefile.in

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6bde12a
- updated gettext BR

* Thu Dec 13 2012 Jan Rękorajski <baggins@pld-linux.org> 67d0d95
- fix format string warnings
- rel 5

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 7f31dad
- added gc patch (fixes build with gc 7.2; old code caused segfaults with this version)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b3b7bd
- rel 3; fix build

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d2bb44
- release 2

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 8b3799a
- remove AC_PROG_CXX from configure.ac, because c++ isn't used

* Sun Jan 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 7eff5d4
- cleanup, more verbose bin files

* Sat Jan 22 2011 witekfl <witekfl@pld-linux.org> 7eaa48a
- 0.5.3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 5946714
- release 6

* Wed May 05 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 64bb35c
- release 5

* Tue May 04 2010 Krzysztof Krakowiak <evil@pld-linux.org> 9e34013
- add mising BR and enable more w3mimgdisplay backends, making this plugin usable in PLD

* Sun Apr 11 2010 Zsolt Udvari <uzsolt@pld-linux.org> 63443cb
- rel up (openssl)

* Sun Aug 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e1e4d29
- release 3

* Wed Feb 20 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ecb583a
- release 2

* Mon Jun 04 2007 Jakub Bogusz <qboosh@pld-linux.org> ac36fd7
- updated to 0.5.2 (fixes CVE-2006-6772)
- updated nolibs patch
- uses gdk-pixbuf-2.0 now

